# `marindicators`

November 6, 2019 - Danielle Dempsey (danielle.dempsey@dfo-mpo.gc.ca)

The `marindicators` package provides functions to calculate indicators for four marine
ecosystem attributes (Biodiversity, Ecosystem Structure and Functioning, Ecosystem Stability
and Resistance to Perturbations, Resource Potential) and one marine ecosystem pressure
(Fishing Pressure) from fishery independent trawl survey data and commercial landings
data. All indicators were selected and evaluated using the “Indicator Selection Guidance
Framework” developed by Bundy, Gomez, and Cook (2017).

For information on the Guidance Framework, including definitions of ecosystem attributes and sub-attributes, and methods for screening indicators, please refer to: Bundy A, Gomez C, Cook AM. 2017. Guidance framework for the selection and evaluation of ecological indicators. Can. Tech. Rep. Fish. Aquat. Sci. 3232: xii + 212 p.

For general information on the `marindicators` package, including the indicators that can be calculated, descriptions of data, and examples, please refer to the vignette: Introduction to `marindicators`.

For information on the functions, for example arguments, data requirements, and indicator calculations, please refer to the help file for the function of interest.
